package service

import "integrity-checkin/dao"

var (
	userDAO    dao.UserDAO
	checkinDAO dao.CheckinDAO
)

var (
	ExUserService    UserService
	ExCheckinService CheckinService
)

func Setup() {
	userDAO = dao.UserDAO{Tx: dao.DB}
	checkinDAO = dao.CheckinDAO{Tx: dao.DB}

	ExUserService = UserService{}
	ExCheckinService = CheckinService{}
}
